[youtubei.js](../../../../README.md) / [Types](../README.md) / SideEffectPolicyOptions

# Interface: SideEffectPolicyOptions

Defined in: [src/utils/javascript/JsExtractor.ts:7](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/utils/javascript/JsExtractor.ts#L7)

## Properties

### mode?

> `optional` **mode**: [`SideEffectMode`](../type-aliases/SideEffectMode.md)

Defined in: [src/utils/javascript/JsExtractor.ts:12](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/utils/javascript/JsExtractor.ts#L12)

Determines how strictly side-effect detection should behave.
Use `"loose"` to allow benign computed expressions.
